<?php

use Joomla\CMS\Language\Text;
use Joomla\CMS\Session\Session;

 // No direct access to this file
defined('_JEXEC') or die('Restricted Access');

    JHtml::_('script', JUri::root() . 'media/com_leaflet/js/jquery-3.6.0.min.js', array('version' => 'auto', 'relative' => true));
    JHtml::_('script', JUri::root() . 'media/com_leaflet/js/leaflet-1.7.1/leaflet.js');
    JHtml::_('stylesheet', JUri::root() . 'media/com_leaflet/js/leaflet-1.7.1/leaflet.css');
    
    JHtml::_('script', 'com_leaflet/leaflet-panel-layers-master/src/leaflet-panel-layers.js', array('version' => 'auto', 'relative' => true));
    JHtml::_('stylesheet', JUri::root() . 'media/com_leaflet/js/leaflet-panel-layers-master/src/leaflet-panel-layers.css'); 
    JHtml::_('stylesheet', JUri::root() . 'media/com_leaflet/js/leaflet-search-master/src/leaflet-search.css'); 
    JHtml::_('stylesheet', JUri::root() . 'media/com_leaflet/js/leaflet-sidebar-master/src/L.Control.Sidebar.css'); 
    JHtml::_('stylesheet', JUri::root() . 'media/com_leaflet/js/Leaflet.markercluster-1.4.1/dist/MarkerCluster.css'); 
    JHtml::_('stylesheet', JUri::root() . 'media/com_leaflet/js/Leaflet.markercluster-1.4.1/dist/MarkerCluster.Default.css'); 

    JHtml::_('script', 'com_leaflet/nouvelles_regionsV3.js', array('version' => 'auto', 'relative' => true));
    JHtml::_('script', 'com_leaflet/mapbox_token.js', array('version' => 'auto', 'relative' => true));
    JHtml::_('script', 'media/com_leaflet/js/leaflet-omnivore.min.js');

    JHtml::_('script', 'com_leaflet/leaflet-search-master/src/leaflet-search.js', array('version' => 'auto', 'relative' => true));
    JHtml::_('script', 'com_leaflet/Leaflet.markercluster-1.4.1/dist/leaflet.markercluster.js', array('version' => 'auto', 'relative' => true));
    JHtml::_('script', 'com_leaflet/leaflet-sidebar-master/src/L.Control.Sidebar.js', array('version' => 'auto', 'relative' => true));

    JHtml::_('script', 'com_leaflet/app.js', array('version' => 'auto', 'relative' => true));


?>

<?php echo '<input id="token" type="hidden" name="' . Session::getFormToken() . '" value="1" />'; ?>

<div id="mapid">
    <div id="filtreMap">
    <div id="filtreCode">
    </div id="filtre">
</div>
   

<div id="sidebar">
    <h1><?= Text::_('COM_LEAFLET_TITLE_LEAFLET') ?></h1>
</div>
<div id="tooltip">
</div>